summaryrefslogtreecommitdiff
path: root/gnulib/tests/test-fprintf-posix2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnulib/tests/test-fprintf-posix2.sh')
m---------gnulib0
-rwxr-xr-xgnulib/tests/test-fprintf-posix2.sh34
2 files changed, 34 insertions, 0 deletions
diff --git a/gnulib b/gnulib
deleted file mode 160000
-Subproject 443bc5ffcf7429e557f4a371b0661abe98ddbc1
diff --git a/gnulib/tests/test-fprintf-posix2.sh b/gnulib/tests/test-fprintf-posix2.sh
new file mode 100755
index 0000000..79d92af3
--- /dev/null
+++ b/gnulib/tests/test-fprintf-posix2.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Test out-of-memory handling.
+
+(./test-fprintf-posix2${EXEEXT} 0
+ result=$?
+ if test $result != 77 && test $result != 78; then result=1; fi
+ exit $result
+) 2>/dev/null
+malloc_result=$?
+if test $malloc_result = 77; then
+ echo "Skipping test: getrlimit and setrlimit don't work"
+ exit 77
+fi
+
+for arg in 1 2 3 4 5 6
+do
+ ./test-fprintf-posix2${EXEEXT} $arg > /dev/null
+ result=$?
+ if test $result = 77; then
+ echo "Skipping test: getrlimit and setrlimit don't work"
+ exit 77
+ fi
+ if test $result != 0; then
+ exit 1
+ fi
+done
+
+if test $malloc_result = 78; then
+ echo "Skipping test: getrlimit and setrlimit don't work"
+ exit 77
+fi
+
+exit 0